@font-face {
  font-family: "Shantell Sans";
  src: url("/fonts/ShantellSans-Light.woff2") format("woff2"),
    url("/fonts/ShantellSans-Light.woff") format("woff"),
    url("/fonts/ShantellSans-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
@font-face {
    font-family: 'Cabin Sketch';
    src: url('/fonts/CabinSketch-Bold.woff2') format('woff2'),
    url('/fonts/CabinSketch-Bold.woff') format('woff'),
    url("/fonts/CabinSketch-Bold.ttf") format("truetype");
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}
* {
  box-sizing: border-box;
}
html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-family: "Shantell Sans", "Comic Sans MS", "Comic Sans", Arial, sans-serif;
  line-height: 150%;
  font-size: 15px;
  color: #5d5d5d;
}
body {
  background: #b7f2a0;
  display: flex;
  flex-direction: column;
}
h1 {
  font-size: 26px;
  color: #333;
  margin: 30px 10px;
  line-height: normal;
}
img {
  vertical-align: bottom;
}
a,
.link {
  color: #00509c;
  text-decoration: none;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  cursor: pointer;
}
a:hover,
.link:hover {
  color: #fe6e56;
}
.head {
  background: #82d287;
  min-height: 60px;
  padding: 10px;
}
.container,
.menu {
  max-width: 1220px;
}
.container {
  display: flex;
  flex-flow: row wrap;
  margin: 0 auto 10px;
  width: 100%;
  border-radius: 3px;
}
.container > * {
  flex: 1 100%;
}

.main {
  margin: 0 10px;
}
.main-canvas {
  background: #f9faf7;
  border-radius: 30px;
  position: relative;
  box-shadow: 1px 1px 5px 1px rgba(50, 50, 50, 0.2);
  border: 5px solid #f9faf7;
  border-bottom: 0;
}
.main-top {
  display: flex;
  justify-content: center;
  padding: 0 30px;
}
.main-top.thin{
    margin-top: -27px;
    justify-content: flex-start;
}
.menu {
  display: none;
  margin: 0 auto;
  justify-content: flex-end;
}
.menu svg {
  vertical-align: middle;
  fill: #fff;
}
.menu button {
  margin-left: 5px;
}
.logo a {
    color: #82d287;
    font-size: 40px;
    font-family: "Cabin Sketch", "Comic Sans", Arial, sans-serif;
    display: block;
    margin-top: 10px;
}
.logo a > span.logo-f {
    display: block;
    font-size: 80px;
    color: #74c079;
    line-height: 70px;
    margin-left: 20px;
    margin-bottom: 4px;
}
.logo a > span.logo-s {
    color: #82d287;
    font-size: 60px;
    display: inline-block;
    line-height: 50px;
}
.logo a > img {
    margin-bottom: -1px;
    display: inline-block;
    margin-right: 20px;
    float: left;
}

.thin .logo > a {
    margin: 0;
    display: flex;
    align-items: flex-end;
    color: #82d287;
    font-size: 50px;
}
.thin .logo > a > img{
    float:none;
    margin: 0 10px 0 0;
}
.thin .logo > a > span{
    line-height: 36px;
}

.right {
    max-width: 230px;
    display: flex;
    flex-direction: column;
    background: #f9faf7;
    border-radius: 30px;
    box-shadow: 1px 1px 5px 1px rgba(50, 50, 50, 0.2);
    justify-content: space-between;
    align-items: stretch;
    overflow: hidden;
    margin-top: 30px;
    margin-right: 10px;
}
.right > .aside-top svg {
  fill: #796a4b;
}
.bottom {
    display: flex;
  padding: 10px;
  margin: 0 auto;
}
.aside-top {
  padding: 5px 10px;
  position: relative;
  font-size: 16px;
  border-radius: 30px 30px 0 0;
  background: #f9faf7;
  text-align: center;
}
.aside-top > div {
  cursor: pointer;
}
.main .aside-top {
  justify-content: center;
}
.main .aside-top > div {
  flex: 1;
  text-align: center;
}

.footer {
  background: #ffb366;
  min-height: 60px;
  border-top: solid 20px #fc954c;
  margin-top: auto;
  flex-shrink: 0;
}
.button {
  cursor: pointer;
}
.btn {
  display: block;
  font-size: 16px;
  cursor: pointer;
  user-select: none;
  transition: all 0.2s ease;
  background-color: #8fdef4;
  color: #585858;
    border-radius: 12px;
    border: 2px solid #7a604a;
    padding: 0 14px;
    line-height: 32px;
    font-family: "Shantell Sans", "Comic Sans MS", "Comic Sans", Arial, sans-serif;
    font-weight: bold;
}
.btn:hover {
  background-color: #fe6e56;
  color: #fff;
}
#afk {
  background: #73d3eb;
}
#afk.active {
  background: #fe6e56;
  color: #fff;
}

#afk {
  margin-left: auto;
  margin-right: 10px;
}
.aside-top svg,
.tools a > svg {
  display: block;
}
.tools a > svg {
  stroke: #fff;
  paint-order: stroke;
  stroke-width: 3px;
  filter: drop-shadow(1px 1px 2px rgba(50, 50, 50, 0.2));
}
.round-data {
  margin-left: auto;
  display: flex;
  align-items: flex-end;
  min-width: 145px;
}
.round-data > img {
  margin-right: 5px;
}
.round-data > div {
  text-align: left;
  font-size: 25px;
  color: #d4a8a0;
  text-shadow: -1px -1px 0 #715256, 1px -1px 0 #715256, -1px 1px 0 #715256,
    1px 1px 0 #715256;
  line-height: 30px;
  margin-right: 10px;
}
#round-timer {
  font-size: 40px;
  line-height: 40px;
  min-width: 70px;
}

#canvas-container {
  text-align: center;
  margin-left: auto;
  position: relative;
  touch-action: none;
}
#canvas,
#tmp-canvas,
.colors,
.hint {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -ms-user-select: none;
}
#canvas,
#tmp-canvas {
  border: 0;
  overscroll-behavior: contain;
  image-rendering: auto;
  -ms-interpolation-mode: nearest-neighbor;
  outline: none;
  cursor: crosshair;
  touch-action: none;
  width: 100%;
  border-radius: 30px;
}
#tmp-canvas {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
}
.start-section {
  width: 200px;
}
.colors {
  display: inline-flex;
}
.palette {
  border-radius: 8px;
}
#active-color {
  margin-right: 15px;
  box-shadow: none;
  width: auto;
  height: auto;
  background: transparent;
  border: 0;
}
#active-color > svg {
  filter: drop-shadow(1px 1px 2px rgb(50 50 50 / 20%));
  vertical-align: bottom;
}
#mrblob {
  fill: green;
  stroke: #fff;
}
.color {
  width: 26px;
  height: 26px;
  display: inline-block;
  cursor: pointer;
  border-radius: 139px 120px 140px 155px;
  margin: 1px;
  border: 3px solid #fff;
  box-shadow: 1px 1px 2px 1px rgb(50 50 50 / 20%);
}
.palette {
  display: flex;
  flex-wrap: wrap;
  max-width: 344px;
  cursor: pointer;
  overflow: hidden;
}
.palette > .color {
  transition: all 0.1s ease-in-out;
}
.palette > .color:active {
  transform: scale(0.75);
  animation: squish 0.8s ease 0.2s infinite alternate;
}
.palette > .color.selected {
  animation: squishing 0.3s ease 0.1s alternate;
}
.tools {
  display: inline-flex;
  align-items: center;
}
.tools > a {
  display: block;
  margin: 5px;
}
.tools svg {
  fill: #333;
  transition: fill 0.1s ease;
}
.tools > a.inactive svg {
  fill: #9e9e9e;
}
.tools > a:hover:not(.inactive) svg,
.tool.active svg {
  fill: #fdd835;
}
.tools > a.onlymaster {
  display: none;
}
.line-setting {
  max-width: 145px;
  margin-right: 10px;
  display: inline-flex;
  flex-wrap: nowrap;
  align-items: center;
}
.column {
  display: flex;
  flex-direction: column;
}
#chat-container {
  width: 100%;
  height: 100%;
  position: relative;
}
#chat {
  flex: 1;
  font-size: 15px;
  background: #fff;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: auto;
  word-break: break-all;
  border: 5px solid #f9faf7;
}
#chat > div {
  padding: 5px;
}
#chat > div:nth-child(even) {
  background-color: #f9faf7;
}
#chat > .system.green {
  background-color: #e5ffdb;
}
#chat > .system.blue {
    background-color: #e3f8fd;
}
#chat > .system.orange {
    background-color: #fff6d4;
}
#chat > .system.bold {
    font-weight: bold;
}

#chat-input {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-top: 1px solid #ccc;
  background: #fff;
}
.inputWrap {
  cursor: text;
  background: #fff;
  position: relative;
  flex: 1;
}
.textInput {
  padding: 8px 10px 10px 20px;
  font-size: 14px;
  line-height: 18px;
  outline: none;
  word-break: break-word;
}
.messageSend {
  float: right;
  line-height: 37px;
  font-size: 25px;
  color: #b3beca;
  padding: 6px 10px;
  vertical-align: middle;
  cursor: pointer;
}
.messageSend > svg {
  fill: #b3beca;
  display: block;
  width: 25px;
  height: 25px;
}
.placeholder {
  position: absolute;
  top: 6px;
  left: 20px;
  font-size: 14px;
  color: #737373;
  cursor: text;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}
.players {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  margin-top: -20px;
  padding-bottom: 20px;
}
.player {
  padding: 10px;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  position: relative;
  transition: all 0.5s ease;
  animation-duration: 0.5s;
  animation-name: boingInUp;
  animation-delay: 0.5s;
  animation-fill-mode: backwards;
    flex-shrink: 1;
    min-width: 0;
}
.player.delete {
  animation-name: boingOutDown;
}
.player.afk {
  background: #edede9;
  order: 10;
}
.player.afk > img {
  opacity: 50%;
}

/* .player-img {
  position: relative;
}

.player-img > img {
  z-index: 2;
  position: relative;
} */
.player-info {
  padding: 5px;
  position: absolute;
  top: -15px;
  left: 0;
  right: 0;
  cursor: pointer;
  text-align: center;
}
.player-info:hover {
  z-index: 3;
}
.player-info span {
  display: block;
  color: #ffffff;
  text-shadow: 1px 1px rgb(0 0 0 / 75%);
  font-size: 12px;
  word-break: break-all;
  padding: 4px 6px;
  border-radius: 10px 10px 3px 3px;
  background: rgb(0 0 0 / 30%);
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.player-info:hover span {
  white-space: normal;
  overflow: visible;
}
.player:nth-child(10n + 1) .player-info span {
  background: #e91e63;
}
.player:nth-child(10n + 2) .player-info span {
  background: #9c27b0;
}
.player:nth-child(10n + 3) .player-info span {
  background: #673ab7;
}
.player:nth-child(10n + 4) .player-info span {
  background: #3f51b5;
}
.player:nth-child(10n + 5) .player-info span {
  background: #2196f3;
}
.player:nth-child(10n + 6) .player-info span {
  background: #00bcd4;
}
.player:nth-child(10n + 7) .player-info span {
  background: #009688;
}
.player:nth-child(10n + 8) .player-info span {
  background: #4caf50;
}
.player:nth-child(10n + 9) .player-info span {
  background: #ff5722;
}
.player:nth-child(10n + 10) .player-info span {
  background: #795548;
}
span.points {
  font-size: 25px;
  text-shadow: -1px -1px 0 #715256, 1px -1px 0 #715256, -1px 1px 0 #715256,
    1px 1px 0 #715256;
  color: #fff;
  line-height: 40px;
  position: absolute;
  bottom: -10px;
  z-index: 3;
  text-align: center;
  left: 0;
  right: 0;
}
.player-status {
  margin-bottom: auto;
  padding: 5px;
  text-align: right;
}
.player-status svg {
  display: none;
}
.player.drawing .player-status svg.draw {
  display: block;
}
.player.finished .player-status svg.tick {
  display: block;
}
.afk-status {
  color: #78694a;
  border: 1px solid;
  padding: 0 3px;
  font-size: 12px;
  line-height: 18px;
  border-radius: 3px;
  display: none;
}
.afk .afk-status {
  display: block;
}
#round-info {
  text-align: left;
}
.clock {
  position: relative;
  animation-name: shake;
  -webkit-animation-name: shake;
  animation-duration: 0.8s;
  -webkit-animation-duration: 0.8s;
  animation-iteration-count: 3;
  -webkit-animation-iteration-count: 3;
  animation-timing-function: linear;
  -webkit-animation-timing-function: linear;
  transform-origin: 50% 100%;
  -webkit-transform-origin: 50% 100%;
  animation-delay: 60s;
  -webkit-animation-delay: 60s;
}
.clock > svg {
  filter: drop-shadow(1px 1px 1px #fff);
}
.timer-wrapper {
  border-radius: 100%;
  height: 19px;
  width: 20px;
  transform: skew(359deg, 4deg);
  overflow: hidden;
  position: absolute;
  top: 9px;
  left: 6px;
}
.timer {
  background: -webkit-linear-gradient(left, #f9faf7 51%, #715256 49%);
  background: linear-gradient(left, #f9faf7 51%, #715256 50%);
  border-radius: 100%;
  height: 22px;
  width: 24px;
  position: relative;
  /*animation: time 60s linear infinite;*/
  animation: time 60s steps(60, start) 1;

  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
}
.mask {
  border-radius: 100% 0 0 100% / 50% 0 0 50%;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 50%;
  /*animation: mask 60s linear infinite;*/
  animation: mask 60s steps(30, start) 1;
  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
  transform-origin: 100% 50%;
}

svg.like {
  fill: #fe6e56;
  vertical-align: bottom;
}
svg.dislike{
    fill: #715256;
    vertical-align: bottom;
}
svg.draw {
  fill: #94d2e9;
}
svg.tick {
  fill: #9fcf51;
}
svg.crown {
  fill: #fdd809;
}

input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  background: transparent;
  cursor: pointer;
  width: 100%;
  z-index: 1;
  position: relative;
}

input[type="range"]:focus {
  outline: none;
}

input[type="range"]::-webkit-slider-runnable-track {
  background-color: #343123;
  border-radius: 10px;
  height: 2px;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  margin-top: -9.5px;
  height: 20px;
  width: 20px;
  transition: all 0.2s ease;
  border-radius: 50%;
  background-color: #f9faf7;
  border: 2px solid #343123;
}

input[type="range"]::-moz-range-track {
  background-color: #343123;
  border-radius: 10px;
  height: 2px;
}

input[type="range"]::-moz-range-thumb {
  height: 20px;
  width: 20px;
  transition: all 0.2s ease;
  border-radius: 50%;
  background-color: #f9faf7;
  border: 2px solid #343123;
}

input[type="range"]:hover::-webkit-slider-thumb {
  background-color: #fdd835;
}
input[type="range"]:hover::-moz-range-thumb {
  background-color: #fdd835;
}

input[type="range"]:focus::-webkit-slider-thumb {
  background-color: #fed936;
}
input[type="range"]:focus::-moz-range-thumb {
  background-color: #fed936;
}

#lineWidth {
  box-shadow: 1px 1px 2px 1px rgb(50 50 50 / 20%);
  padding: 4px;
  border-radius: 20px;
  background: #fff;
}

#lineWidth:before,
#lineWidth:after {
  content: "";
  display: inline-block;
  width: 10px;
  height: 10px;
  -moz-border-radius: 7.5px;
  -webkit-border-radius: 7.5px;
  border-radius: 50%;
  background-color: #343123;
  margin-right: 4px;
  vertical-align: middle;
}

#lineWidth:after {
  width: 18px;
  height: 18px;
  margin: 0;
  margin-left: 4px;
}

.line-width {
  max-width: 35px;
  color: #fff;
  padding: 0 8px;
  text-align: center;
  margin: 10px auto 0;
  position: relative;
  font-weight: bold;
}
.line-width > svg {
  position: absolute;
  right: -6.5px;
  top: -20px;
  z-index: 0;
  pointer-events: none;
}
#lineWidthNum {
  z-index: 2;
  display: block;
  position: relative;
  min-width: 20px;
  text-shadow: 0 0 2px #ff5722;
}
.message > .username,
.system > .username {
  margin-right: 5px;
  font-weight: bold;
}
#words-window,
#results-window,
#winner-window {
  display: none;
}

#results-tab {
  display: table;
  width: 100%;
  text-align: left;
}
#results-tab .row {
  display: table-row;
}
#results-tab .row span {
  display: table-cell;
  padding: 5px;
}
.words > div > span {
  display: inline-block;
  font-size: 14px;
  padding: 5px 10px;
  margin: 5px 8px;
  line-height: 1.3rem;
  text-transform: capitalize;
  border-radius: 3px;
}
.dialog {
  position: absolute;
  margin: 0 auto;
  max-width: 450px;
  left: 0;
  right: 0;
  top: 20%;
  z-index: 99;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 5px 30px 0 rgb(0 0 0 / 10%);
  animation: fadeIn 1s ease both;
  border: 0;
  padding: 1rem 3rem;
  padding-top: 2rem;
  text-align: center;
  flex-direction: column;
}
.dialog > .link {
  display: inline-block;
  font-size: 12px;
}
#dialog-overlay {
  display: none;
  animation: fadeIn 1s ease both;
  background: rgb(0 0 0 / 50%);
  z-index: 11;
  pointer-events: initial;
  position: fixed;
  opacity: 0;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
}
.dialog-head {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  margin-bottom: 15px;
}
.line90 {
  border-top: 1px dashed #e8e7de;
  margin: 15px 0;
  border-bottom: 1px dashed #c9c8b6;
}
#controls {
    visibility: hidden;
    justify-content: space-evenly;
    user-select: none;
}
#guessing-menu {
  visibility: hidden;
    display: flex;
    position: absolute;
    justify-content: center;
}
#guessing-menu > div{margin:5px; display: flex; cursor: pointer}
.progress-bar {
  width: 90%;
  margin: 15px auto;
  height: 5px;
  background-color: #fe6e56;
  border-radius: 5px;
}

.progress-bar div {
  height: 100%;
  text-align: right;
  line-height: 5px;
  width: 100%;
  background-color: #715256;
  box-sizing: border-box;
  transition: width 1s linear;
  border-radius: 5px;
}

#progressBarRound {
  width: 100%;
  border-radius: 0;
  margin: 0;
}
.hint {
  position: absolute;
  margin: 14px auto;
  left: 0;
  right: 0;
  text-align: center;
  z-index: 11;
  pointer-events: none;
}
#word-hint {
  letter-spacing: 5px;
  text-transform: uppercase;
  font-size: 30px;
  color: #ff7359;
  display: block;
    justify-content: space-evenly;
}
#stage {
    display: none;
    font-size: 28px;
    color: #fe6e56;
    padding: 6px 18px;
    border-radius: 30px;
    background: rgb(255 255 255 / 85%);
    font-weight: bold;
}
.bubble {
  font-size: 12px;
  line-height: 24px;
  background: #fff;
  border-radius: 40px;
  padding: 16px;
  text-align: center;
  color: #343123;
  font-weight: normal;
  max-width: 200px;
  max-height: 130px;
  box-shadow: 1px 1px 5px 1px rgba(50, 50, 50, 0.2);
  position: fixed;
  z-index: 10;
  left: -999px;
  word-wrap: break-word;
  font-size: 12px;
}

.bubble.visible {
  position: absolute;
  animation: fadeIn 0.8s ease both;
}

.bubble-bottom-left:before {
  content: "";
  position: absolute;
  left: -6px;
  top: 50%;
  margin-top: -10px;
  display: block;
  width: 0px;
  height: 0px;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid #fff;
}
.interaction {
  display: none;
  align-items: center;
}
.interaction > div {
  display: flex;
  align-items: center;
  cursor: pointer;
}
.interaction > div,
.interaction > a {
  margin: 0 5px;
}
.interaction svg {
  stroke: #fff;
  paint-order: stroke;
  stroke-width: 3px;
  filter: drop-shadow(1px 1px 2px rgba(50, 50, 50, 0.2));
}
.download {
  display: block;
}
.download svg {
  fill: #006ecf;
  vertical-align: bottom;
}

#game,
#lobbypage,
#newroompage {
  display: none;
}
#lobbypage,
#newroompage,
.page.base{
  justify-content: flex-start;
  padding: 20px;
}

.page h1, .page h2, .pagetitle {
    line-height: 30px;
    font-size: 18px;
    font-weight: normal;
    margin:0;
}
.tab-back,.base-back {
  min-height: 250px;
  width: 100%;
  margin: 10px 0 0;
  background: #fff;
  border-radius: 20px;
}
.base-back {
    padding: 16px 18px;
}
.base-back form div {
    margin: 6px 0;
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    font-weight: bold;
    flex-direction: column;
}
.base-back p{
    margin-top: 0;
    margin-bottom: 1em;
}
.base-back .alert{
    padding: 8px 12px;
    border-radius: 20px;
}
.base-back .alert-danger{
    background: #ffebee;
    color: #db0000;
}
.base-back form label{
    margin: 4px 0;
}
.base-back form input {
    padding: 6px 12px;
    border: 2px solid #5d5d5d;
    font-size: 14px;
    color: inherit;
    display: block;
    min-width: 80%;
    border-radius: 20px;
}
.base-back form input[type="checkbox"] {
    min-width: 0;
}
.base-back form label + ul {
    list-style: none;
    padding-left: 0;
    margin: 0 0 4px 0;
}
.base-back form label + ul>li {
    font-size: small;
    padding: 0 4px;
    background: #FFEBEE;
    margin-bottom: 1px;
}
.base-back form div.checkbox {
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;
}
.base-back form .btn {
    margin-top:12px;
}
.base-back form .btn.btn-lg{
    margin-bottom: 12px;
}
.tab {
  display: table;
  width: 100%;
}
.tab > .row {
  display: table-row;
}

.buttons {
  display: flex;
  margin-right: 15px;
  border-right: 2px solid #5d5d5d;
}
#lobbypage .tab > .row {
  cursor: pointer;
}

#lobbypage .tab > .row:hover > span {
  background-color: #f5ede0;
}

#lobbypage .tab > .row.caption {
  cursor: auto;
}
#lobbypage .tab > .row.caption:hover > span {
  background: none;
}
.tab > .row > span {
  display: table-cell;
  padding: 6px 12px;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.tab > .row > span:first-child {
  text-align: center;
}
.tab > .row > span > svg {
  vertical-align: middle;
}
.tab > .row:nth-child(2n) > span {
  background: #fbf8f3;
}
.tab > .row.caption > span {
  padding: 8px 12px;
  font-weight: bold;
}
#lobbypage .button:last-child {
  margin-right: 8px;
}
#lobbypage .button:hover {
  filter: saturate(1.5);
}
#newroompage .tab-back {
  min-height: auto;
}
#newroompage input,
#newroompage select {
  border-radius: 4px;
  border: 1px solid #5d5d5d;
  padding: 2px 4px;
  font-family: "Shantell Sans", "Comic Sans MS", "Comic Sans", Arial, sans-serif;
}
#newroompage input[type="text"] {
  max-width: 120px;
}
#newroompage input[type="number"] {
  max-width: 80px;
}
#newroompage .form {
  display: flex;
  flex-direction: column;
  padding: 10px 20px;
}
#newroompage .form div {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6px;
}
#newroompage button.submit {
  max-width: 120px;
  font-size: 16px;
  font-family: inherit;
  color: inherit;
  background: #fff95d;
  text-transform: uppercase;
  line-height: 28px;
  border: solid 2px #5d5d5d;
  border-radius: 154px 146px 189px 184px;
  margin-top: 16px;
}
#newroompage button.submit:hover {
  background: #fff829;
}
@media all and (min-width: 600px) {
  .aside {
    flex: 1 auto;
  }
}

@media all and (min-width: 800px) {
  .main {
    flex: 3 0px;
  }
  .main {
    order: 2;
  }
  .right {
    order: 3;
  }
  .bottom {
    order: 4;
  }
}

@keyframes heartbeat {
  0% {
    transform: scale(0.5);
  }
  20% {
    transform: scale(0.75);
  }
  50% {
    transform: scale(1.2);
  }
  60% {
    transform: scale(1.5);
  }
  80% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes squish {
  10%,
  40%,
  80% {
    transform: scale(0.85, 0.75);
  }
  0%,
  30%,
  60%,
  100% {
    transform: scale(0.75, 0.85);
  }
}
@keyframes squishing {
  10% {
    transform: scale(0.9, 1);
  }
  50% {
    transform: scale(1, 0.9);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes time {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes mask {
  0% {
    background: #715256;
    transform: rotate(0deg);
  }
  50% {
    background: #715256;
    transform: rotate(-180deg);
  }
  50.01% {
    background: #f9faf7;
    transform: rotate(0deg);
  }
  100% {
    background: #f9faf7;
    transform: rotate(-180deg);
  }
}

@keyframes shake {
  0% {
    transform: translate(2px, 1px) rotate(0deg);
  }
  10% {
    transform: translate(-1px, -2px) rotate(-2deg);
  }
  20% {
    transform: translate(-3px, 0px) rotate(3deg);
  }
  30% {
    transform: translate(0px, 2px) rotate(0deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }
  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }
  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }
  70% {
    transform: translate(2px, 1px) rotate(-2deg);
  }
  80% {
    transform: translate(-1px, -1px) rotate(4deg);
  }
  90% {
    transform: translate(2px, 2px) rotate(0deg);
  }
  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-webkit-keyframes boingInUp {
  0% {
    opacity: 0;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(-90deg);
    transform: perspective(800px) rotateX(-90deg);
  }
  50% {
    opacity: 1;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(50deg);
    transform: perspective(800px) rotateX(50deg);
  }
  to {
    opacity: 1;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(0deg);
    transform: perspective(800px) rotateX(0deg);
  }
}
@keyframes boingInUp {
  0% {
    opacity: 0;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(-90deg);
    transform: perspective(800px) rotateX(-90deg);
  }
  50% {
    opacity: 1;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(50deg);
    transform: perspective(800px) rotateX(50deg);
  }
  to {
    opacity: 1;
    -webkit-transform-origin: 50% 0;
    transform-origin: 50% 0;
    -webkit-transform: perspective(800px) rotateX(0deg);
    transform: perspective(800px) rotateX(0deg);
  }
}

@-webkit-keyframes boingOutDown {
  0% {
    opacity: 1;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(0deg);
    transform: perspective(800px) rotateX(0deg) rotateY(0deg);
  }
  20% {
    opacity: 1;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(10deg);
    transform: perspective(800px) rotateX(0deg) rotateY(10deg);
  }
  30% {
    opacity: 1;
    -webkit-transform-origin: 0 100%;
    transform-origin: 0 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(0deg);
    transform: perspective(800px) rotateX(0deg) rotateY(0deg);
  }
  40% {
    opacity: 1;
    -webkit-transform-origin: 0 100%;
    transform-origin: 0 100%;
    -webkit-transform: perspective(800px) rotateX(10deg) rotateY(10deg);
    transform: perspective(800px) rotateX(10deg) rotateY(10deg);
  }
  to {
    opacity: 0;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(90deg) rotateY(0deg);
    transform: perspective(800px) rotateX(90deg) rotateY(0deg);
  }
}
@keyframes boingOutDown {
  0% {
    opacity: 1;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(0deg);
    transform: perspective(800px) rotateX(0deg) rotateY(0deg);
  }
  20% {
    opacity: 1;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(10deg);
    transform: perspective(800px) rotateX(0deg) rotateY(10deg);
  }
  30% {
    opacity: 1;
    -webkit-transform-origin: 0 100%;
    transform-origin: 0 100%;
    -webkit-transform: perspective(800px) rotateX(0deg) rotateY(0deg);
    transform: perspective(800px) rotateX(0deg) rotateY(0deg);
  }
  40% {
    opacity: 1;
    -webkit-transform-origin: 0 100%;
    transform-origin: 0 100%;
    -webkit-transform: perspective(800px) rotateX(10deg) rotateY(10deg);
    transform: perspective(800px) rotateX(10deg) rotateY(10deg);
  }
  to {
    opacity: 0;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transform: perspective(800px) rotateX(90deg) rotateY(0deg);
    transform: perspective(800px) rotateX(90deg) rotateY(0deg);
  }
}
.picker_wrapper.no_alpha .picker_alpha {
  display: none;
}
.picker_wrapper.no_editor .picker_editor {
  position: absolute;
  z-index: -1;
  opacity: 0;
}
.picker_wrapper.no_cancel .picker_cancel {
  display: none;
}
.layout_default.picker_wrapper {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: stretch;
  font-size: 10px;
  width: 16em;
  padding: 0.4em;
}
.layout_default.picker_wrapper input,
.layout_default.picker_wrapper button {
  letter-spacing: 0.07em;
  font-size: 1em;
  padding: 0.45em 0.5em;
  background: #f1f3f4;
  color: #75797e;
  border-radius: 0.15em;
}
.layout_default.picker_wrapper > * {
  margin: 0.5em;
}
.layout_default.picker_wrapper::before {
  content: "";
  display: block;
  width: 100%;
  height: 0;
  order: 1;
}
.layout_default .picker_slider,
.layout_default .picker_selector {
  padding: 0.6em;
}
.layout_default .picker_hue {
  width: 100%;
  padding: 0.4em;
  border-radius: 50em;
}
.layout_default .picker_alpha {
  padding: 0.4em;
  border-radius: 50em;
}
.layout_default .picker_sl {
  flex: 1 1 auto;
}
.layout_default .picker_sl::before {
  content: "";
  display: block;
  padding-bottom: 100%;
}
.layout_default .picker_editor {
  order: 1;
  width: 6.5rem;
}
.layout_default .picker_editor input {
  width: 100%;
  height: 100%;
}
.layout_default .picker_sample {
  order: 1;
  flex: 1 1 auto;
}
.layout_default .picker_done,
.layout_default .picker_cancel {
  order: 1;
  display: none;
}
.picker_wrapper {
  box-sizing: border-box;
  box-shadow: 0 0 0 1px silver;
  cursor: default;
  font-family: sans-serif;
  color: #444;
  pointer-events: auto;
  border-radius: 0.1em;
}
.picker_wrapper:focus {
  outline: none;
}
.picker_wrapper button,
.picker_wrapper input {
  box-sizing: border-box;
  border: none;
  outline: none;
}
.picker_wrapper button:focus,
.picker_wrapper button:active,
.picker_wrapper input:focus,
.picker_wrapper input:active {
  box-shadow: 0 0 2px 1px #1e90ff;
}
.picker_wrapper button {
  padding: 0.4em 0.6em;
  cursor: pointer;
  background-color: #f5f5f5;
  background-image: linear-gradient(0deg, gainsboro, transparent);
}
.picker_wrapper button:active {
  background-image: linear-gradient(0deg, transparent, gainsboro);
}
.picker_wrapper button:hover {
  background-color: #fff;
}
.picker_selector {
  position: absolute;
  z-index: 1;
  display: block;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  border: 2px solid #fff;
  border-radius: 100%;
  background: currentColor;
  cursor: pointer;
}
.picker_hue {
  position: relative;
  background-image: linear-gradient(
    90deg,
    red,
    yellow,
    lime,
    cyan,
    blue,
    magenta,
    red
  );
}
.picker_sl {
  position: relative;
  background-image: linear-gradient(180deg, white, rgba(255, 255, 255, 0) 50%),
    linear-gradient(0deg, black, rgba(0, 0, 0, 0) 50%),
    linear-gradient(90deg, #808080, rgba(128, 128, 128, 0));
}
.picker_alpha,
.picker_sample {
  position: relative;
  background: linear-gradient(
        45deg,
        lightgrey 25%,
        transparent 25%,
        transparent 75%,
        lightgrey 75%
      )
      0 0/2em 2em,
    linear-gradient(45deg, lightgrey 25%, white 25%, white 75%, lightgrey 75%)
      1em 1em/2em 2em;
}

.picker_alpha .picker_selector {
  border-color: #444;
}
.picker_editor input {
  font-family: monospace;
  padding: 0.2em 0.4em;
}
.picker_sample::before {
  content: "";
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  background: currentColor;
  border-radius: 0.15em;
}
.picker_wrapper.popup {
  position: absolute;
  z-index: 2;
}
.picker_wrapper.popup {
  background: #fff;
  box-shadow: 0 0.15em 1.5em 0 rgb(0 0 0 / 10%), 0 0 1em 0 rgb(0 0 0 / 3%);
}
.popup.popup_top {
  bottom: 100%;
  left: 0;
}
.popup.popup_bottom {
  top: 100%;
  left: 0;
}
.popup.popup_left {
  top: 0;
  right: 100%;
}
.popup.popup_right {
  top: 0;
  left: 100%;
}
.picker_arrow {
  display: none;
}

.dashed-circle {
  position: absolute;
  transform: translate(-50%, -50%);
  height: 5px;
  width: 5px;
  border-radius: 50%;
  border: 0.5px solid #333;
  top: 0;
  left: 0;
  display: none;
  pointer-events: none;
  box-shadow: 0 0 0 0.5px #fff, inset 0 0 0 0.5px #fff;
  z-index: 99;
}
.confetti {
  position: fixed;
  width: 100%;
  height: 100%;
  pointer-events: none;
  background-repeat: repeat-x;
  background-position: top -10px center;
  background-image: url(/img/confetti.svg);
}
.window.winner {
  max-width: 600px;
  text-align: center;
  width: 100%;
  padding: 4px;
  border: 2px solid #995011;
  border-radius: 64px;
  box-shadow: inset 0 0 0 4px #fff;
  background-color: #fdfadf;
}
.window.winner > div.window-main {
  border-radius: 60px;
  border: 8px solid #fbf6c9;
  box-shadow: inset 0 0 0 8px #fbd988;
  padding: 22px;
  background: url(/img/sunburst.svg) no-repeat center;
  background-size: cover;
  width: 100%;
}
.window.winner .window-title {
  font-size: 25px;
  color: #fff;
  text-shadow: -1px -1px 0 #715256, 1px -1px 0 #715256, -1px 1px 0 #715256,
    1px 1px 0 #715256;
  margin-bottom: 30px;
}
.window.winner .window-title > span {
  color: #fe6e56;
}
.window .window-table {
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.window.winner .window-table {
  border-bottom: 4px solid #ffcf54;
  align-items: flex-end;
  justify-content: center;
  margin: 0 auto 10px;
  max-width: 400px;
  padding: 0 10px;
}
.window .window-table > div,
.window .window-table > div > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
.window .window-table > div > div.pedestal {
  background: #ffe072;
  position: relative;
  margin-top: -12px;
}
.window .window-additional {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
  width: 80%;
  margin: 0 auto;
  border: 2px solid #ffcf54;
  border-radius: 20px;
  padding: 10px 5px;
  background-image: linear-gradient(
    135deg,
    rgb(255 255 255) 25%,
    transparent 25%,
    transparent 50%,
    rgb(255 255 255) 50%,
    rgb(255 255 255) 75%,
    transparent 75%,
    transparent
  );
  background-color: #fbf6c9;
  background-size: 60px 60px;
  color: #fe6e56;
  font-size: 18px;
}
.window .window-additional img {
  width: 50px;
  height: 80px;
}
.window.winner .winner-first > div.pedestal {
  padding-top: 20px;
  background-color: #ffea72;
}
.winner-first {
  z-index: 1;
  position: relative;
}
.window.winner .winner-first > .bottom-stars {
  padding: 0;
}
.winner-first:before,
.winner-first:after,
.bottom-stars:before,
.bottom-stars:after {
  content: "";
  background: url(/img/stars-1.svg) no-repeat center;
  width: 30px;
  height: 30px;
  position: absolute;
  background-size: 400%;
  touch-action: none;
  top: 0;
  right: -10%;
}
.winner-first:after {
  background-image: url(/img/stars-2.svg);
  left: -10%;
}
.bottom-stars:before {
  background-image: url(/img/stars-3.svg);
  top: auto;
  bottom: 50%;
  right: -15%;
}
.bottom-stars:after {
  background-image: url(/img/stars-4.svg);
  top: auto;
  right: auto;
  bottom: 50%;
  left: -15%;
}
.winner-second > div.pedestal:before,
.winner-third > div.pedestal:before {
  background: #f3d269 none repeat scroll 0 0;
  content: "";
  height: 100%;
  position: absolute;
  right: -15px;
  transform: skew(350deg);
  width: 25px;
}
.winner-third > div.pedestal:before {
  right: auto;
  left: -15px;
  transform: skew(10deg);
}

.winner .winner-nickname {
  color: #995011;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 0 5px;
  width: 100%;
}
.winner .winner-points {
  font-size: 13px;
  color: #fe6e56;
}
.window-crown {
  background: url(/img/crown.svg) no-repeat center;
  width: 90px;
  height: 90px;
  position: absolute;
  left: -18px;
  top: -40px;
  transform: rotate(330deg);
  background-size: 130%;
  touch-action: none;
}
.winner-first .winner-number {
  background: url(/img/one.svg) no-repeat center;
  background-size: 150%;
  height: 40px;
  width: 25px;
  margin-top: -10px;
  margin-bottom: 5px;
}
.winner-second .winner-number,
.winner-third .winner-number {
  background: url(/img/two.svg) no-repeat center;
  background-size: 100%;
  height: 28px;
  width: 25px;
  margin-top: 10px;
}
.winner-third .winner-number {
  background-image: url(/img/three.svg);
}
.winner-btns {
  position: absolute;
  bottom: -9%;
  margin: 0 auto;
  left: 0;
  right: 0;
}
.winner-btn {
  appearance: none;
  display: inline-block;
  width: 60px;
  height: 60px;
  border: 4px solid #fff;
  border-radius: 50%;
  box-shadow: inset 0 0 0 2px #b15145;
  background: #ff9685 url(/img/home.svg) no-repeat center;
  background-size: 100%;
  touch-action: none;
  outline: 2px solid #995011;
  margin: 5px 10px;
}
.winner-btn-play {
  background-image: url(/img/play.svg);
  background-color: #b7f2a0;
  box-shadow: inset 0 0 0 2px #7cc881;
}
.winner-btn-refresh {
  background-image: url(/img/refresh.svg);
  background-color: #fff59d;
  box-shadow: inset 0 0 0 2px #ffc107;
}
.winner-btn-play:hover {
  background-color: #96ec74;
}
.winner-btn-home:hover {
  background-color: #ff6952;
}
.winner-btn-refresh:hover {
  background-color: #fff06b;
}

.player-ava {
  padding: 0;
  position: relative;
  width: 110px;
  height: 150px;
}
.player-ava > div {
  -webkit-transition: all 0.6s ease;
  transition: all 0.6s ease;
  background-position: center center;
  background-size: 170%;
  background-repeat: no-repeat;
  width: 110px;
  height: 150px;
  position: absolute;
  z-index: 2;
  top: 0;
}
.player-ava > .body {
  background: url(/avatars/body/1/default.svg) no-repeat center center/170%;
}

.players .player-ava:before {
  content: "";
  width: 80px;
  height: 10px;
  background: rgb(252 149 76);
  position: absolute;
  border-radius: 50%;
  bottom: 8px;
  margin: 0 auto;
  left: 0;
  right: 0;
  z-index: 1;
}
/* .player-ava > .body {
  background: url(/avatars/body/1/default.svg) no-repeat center -18px/170%;
}

.player-ava > div {
  -webkit-transition: all 0.6s ease;
  transition: all 0.6s ease;
} */
button {
  appearance: none;
  background: none;
  border: none;
  cursor: pointer;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.page {
  max-width: 500px;
  margin: 0 auto;
  padding: 20px 0;
  background: #fbf6c9;
  border-radius: 30px;
  border: 2px solid #5d5d5d;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  flex-direction: row;
  flex-wrap: wrap;
}
.page.wide{max-width: 100%}
.page > .profile-img {
  display: inline-block;
  padding: 35px 45px 45px;
  position: relative;
  background: url(/img/under.svg) no-repeat center;
  background-size: 110%;
}
.page > .profile-img > a#editor {
  position: absolute;
  width: 28px;
  height: 28px;
  background: #8fdef4;
  border: 2px solid #333;
  display: flex;
  align-items: center;
  top: 18px;
  right: 32px;
  border-radius: 165px 154px 185px 171px;
  z-index: 10;
}
.page > .profile-img > a#editor:hover {
  background: #74d6f1;
}
.page > .profile-img > a#editor > img {
  margin: 0 auto;
}

.profile-nickname {
  font-size: 20px;
  display: flex;
  flex-direction: column;
  padding: 10px;
}
.profile-nickname > label, .profile-nickname > div {
  margin-bottom: 10px;
}
.profile-nickname > label > img {
  margin-right: 3px;
}
.profile-nickname > input {
  padding: 5px;
  border-radius: 125px 150px 163px 147px;
  border: 2px solid #5d5d5d;
  font-size: 14px;
  color: inherit;
  margin-bottom: 15px;
}

.profile-nickname > button {
  max-width: 140px;
  font-size: 20px;
  font-family: inherit;
  color: inherit;
  background: #a8ddf3;
  text-transform: uppercase;
  line-height: 34px;
  border: solid 2px #5d5d5d;
  border-radius: 154px 146px 189px 184px;
  margin-bottom: 10px;
}
.profile-nickname > button:hover {
  background-color: #6fe6ff;
}
.profile-nickname > button#play-btn {
  background: #fff95d;
  border-radius: 125px 150px 163px 147px;
}
.profile-nickname > button#play-btn:hover {
  background: #fff829;
}
.profile-info{
    padding: 5px;
    font-size: 24px;
    margin-bottom: 15px;
    border-bottom: 2px solid #5d5d5d;
}
.line {
  width: 100%;
  border-top: 6px #d4c8ac;
  border-style: dotted;
  border-bottom: none;
  border-right: none;
  border-left: none;
  margin: 10px 8px;
}

.overlaypage {
  position: fixed;
  background: #b7f2a0;
  animation: fadeIn 1s ease both;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
  display: none;
  z-index: 12;
}
.overlaypage p {
  text-align: center;
  font-size: 32px;
  margin: 1em 0;
}
.overlaypage img {
  border-radius: 50%;
  border: 6px solid #82d287;
  box-sizing: content-box;
  margin-bottom: 1em;
}

.overlaypage .center {
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}
#errorpage {
  animation: none;
}
.transition,
.transition > * {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.alert.notification{
    position: absolute;
    right: 14px;
    top: 14px;
    max-width: 200px;
    background: #fff;
    z-index: 999;
    display: flex;
    padding: 12px;
    border-radius: 12px;
    flex-direction: row;
    align-items: flex-start;
}
.alert.notification > div {
    margin: 0 4px;
}
.alert.notification div.close{
    cursor: pointer
}

.words, .words > div{
    display: flex;
    align-items: center;
    justify-content: center;
}
.words > div {
    flex-direction: column;
}
.words > div > span.meta {
    margin-top: 0;
    padding-top: 0;
    color: #757575;
    font-size: 13px;
}
